package org.acme.getting.started;


import io.quarkus.security.AuthenticationFailedException;


import javax.enterprise.context.ApplicationScoped;
import javax.enterprise.event.Observes;

import io.vertx.core.Handler;
import io.vertx.ext.web.Router;
import io.vertx.ext.web.RoutingContext;
import org.jboss.logging.Logger;

@ApplicationScoped
public class RouteFailedHandler {
    private static final Logger LOGGER = Logger.getLogger(RouteFailedHandler.class);
    public void init(@Observes Router router) {
        router.route().failureHandler(new Handler<RoutingContext>() {
            @Override
            public void handle(RoutingContext event) {
                LOGGER.info("RouteFailedHandler called");
                if (event.failure() instanceof AuthenticationFailedException) {
                    LOGGER.info("AuthenticationFailedException being handled");
                }
                event.next();
            }
        });
    }
}
